Digital Asset Standard (DAS)
getSignaturesForAsset
Retrieve all historical transaction signatures for a Solana NFT or compressed NFT including transfers, sales, and state changes with pagination
POST
/
getSignaturesForAsset
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getSignaturesForAsset",
"params": {
"id": "FNt6A9Mfnqbwc1tY7uwAguKQ1JcpBrxmhczDgbdJy5AC"
}
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getSignaturesForAsset",
"params": { "id": "FNt6A9Mfnqbwc1tY7uwAguKQ1JcpBrxmhczDgbdJy5AC" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getSignaturesForAsset',
params: {id: 'FNt6A9Mfnqbwc1tY7uwAguKQ1JcpBrxmhczDgbdJy5AC'}
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"result": {
"last_indexed_slot": 365750752,
"total": 3,
"limit": 1000,
"items": [
[
"5nLi8m72bU6PBcz4Xrk23P6KTGy9ufF92kZiQXjTv9ELgkUxrNaiCGhMF4vh6RAcisw9DEQWJt9ogM3G2uCuwwV7",
"MintToCollectionV1"
],
[
"323Ag4J69gagBt3neUvajNauMydiXZTmXYSfdK5swWcK1iwCUypcXv45UFcy5PTt136G9gtQ45oyPJRs1f2zFZ3v",
"Transfer"
],
[
"3TbybyYRtNjVMhhahTNbd4bbpiEacZn2qkwtH7ByL7tCHmwi2g4YapPidSRGs1gjaseKbs7RjNmUKWmU6xbf3wUT",
"Transfer"
]
]
},
"id": "text"
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid request parameters."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Authentication failed. Missing or invalid API key."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "You do not have permission to access this resource."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32004,
"message": "No signatures found for the specified asset."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32029,
"message": "Rate limit exceeded. Please try again later."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32000,
"message": "An unexpected error occurred on the server."
},
"id": "1"
}Request Parameters
The unique identifier (mint address) of the Solana digital asset to retrieve transaction history for.
The page number for paginating through the Solana asset’s transaction history.
The maximum number of Solana transaction signatures to return per request.
The cursor for paginating backwards through the signatures.
The cursor for paginating forwards through the signatures.
Authorizations
Body
application/json
The version of the JSON-RPC protocol.
Available options:
2.0 An ID to identify the request.
Example:
"1"
The name of the DAS method to invoke.
Available options:
getSignaturesForAsset Show child attributes
Show child attributes
Was this page helpful?
Previous
getTokenAccountsRetrieve all SPL token accounts owned by a wallet address including token balances, mint addresses, and account metadata with pagination
Next
⌘I
getSignaturesForAsset
